package com.example.duplicate.controller.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * @ClassName CallBasic
 * @Description 催缴分页查询
 * @Author linjj
 * @Date 2025/6/26 18:55
 * @Version 1.0
 */
@Data
public class CallBasic {

    @ApiModelProperty(value = "病案主键")
    private String patientId;

    @ApiModelProperty(value = "住院次数")
    private Integer admissTimes;

    @ApiModelProperty(value = "出院日期")
    private Date disDate;
    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "性别")
    private String sex;

    @ApiModelProperty(value = "出院科室")
    private String disDeptName;

    @ApiModelProperty(value = "床位号")
    private String bedNumber;

    @ApiModelProperty(value = "住院医师")
    private String attendingName;

    @ApiModelProperty(value = "出院天数")
    private Integer outNum;


    // 格式化 disDate
    public String getFormattedDisDate() {
        if (disDate != null) {
            try {
                SimpleDateFormat formatter = new SimpleDateFormat("yyyy-MM-dd");
                return formatter.format(disDate);
            } catch (Exception e) {
                return null;
            }
        } else {
            return null;
        }
    }
}
