package com.example.duplicate.controller.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * @ClassName CallBasic
 * @Description 导出催缴
 * @Author linjj
 * @Date 2025/6/26 18:55
 * @Version 1.0
 */
@Data
public class CallExpoetBasic {
    @ExcelProperty(value = {"病案主键"}, index = 0)
    @ApiModelProperty(value = "病案主键")
    private String patientId;
    @ExcelProperty(value = {"住院次数"}, index = 1)
    @ApiModelProperty(value = "住院次数")
    private Integer admissTimes;
    @ExcelProperty(value = {"出院日期"}, index = 2)
    @ApiModelProperty(value = "出院日期")
    private Date disDate;
    @ExcelProperty(value = {"姓名"}, index = 3)
    @ApiModelProperty(value = "姓名")
    private String name;
    @ExcelProperty(value = {"性别"}, index = 4)
    @ApiModelProperty(value = "性别")
    private String sex;
    @ExcelProperty(value = {"出院科室"}, index = 5)
    @ApiModelProperty(value = "出院科室")
    private String disDeptName;
    @ExcelProperty(value = {"床位号"}, index = 6)
    @ApiModelProperty(value = "床位号")
    private String bedNumber;
    @ExcelProperty(value = {"住院医师"}, index = 7)
    @ApiModelProperty(value = "住院医师")
    private String attendingName;
    @ExcelProperty(value = {"出院天数"}, index = 8)
    @ApiModelProperty(value = "出院天数")
    private Integer outNum;


    // 格式化 disDate
    public String getFormattedDisDate() {
        if (disDate != null) {
            try {
                SimpleDateFormat formatter = new SimpleDateFormat("yyyy-MM-dd");
                return formatter.format(disDate);
            } catch (Exception e) {
                return null;
            }
        } else {
            return null;
        }
    }
}
