package com.example.duplicate.controller.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * @ClassName ExportBasic
 * @Description 导出实体类
 * @Author linjj
 * @Date 2025/6/26 17:34
 * @Version 1.0
 */
@Data
public class ExportBasic {
    @ExcelProperty(value = {"病案主键"}, index = 0)
    @ApiModelProperty(value = "病案主键")
    private String patientId;
    @ExcelProperty(value = {"住院次数"}, index = 1)
    @ApiModelProperty(value = "住院次数")
    private Integer admissTimes;
    @ExcelProperty(value = {"出院日期"}, index = 2)
    @ApiModelProperty(value = "出院日期")
    private Date disDate;
    @ExcelProperty(value = {"姓名"}, index = 3)
    @ApiModelProperty(value = "姓名")
    private String name;
    @ExcelProperty(value = {"性别"}, index = 4)
    @ApiModelProperty(value = "性别")
    private String sex;

    @ExcelProperty(value = {"住院医师"}, index = 5)
    @ApiModelProperty(value = "住院医师")
    private String attendingName;

    @ExcelProperty(value = {"床位号"}, index = 6)
    @ApiModelProperty(value = "床位号")
    private String bedNumber;
    @ExcelProperty(value = {"已签收天数"}, index = 7)
    @ApiModelProperty(value = "已签收天数")
    private Integer outNum;
    @ExcelProperty(value = {"回收时间"}, index = 8)
    @ApiModelProperty(value = "回收时间")
    private Date revoveryTime;
    @ExcelProperty(value = {"回收状态"}, index = 9)
    @ApiModelProperty(value = "回收状态")
    private String revoveryState;
    @ExcelProperty(value = {"出院科室"}, index = 10)
    @ApiModelProperty(value = "出院科室")
    private String disDeptName;

    // 格式化 disDate
    public String getFormattedDisDate() {
        if (disDate != null) {
            try {
                SimpleDateFormat formatter = new SimpleDateFormat("yyyy-MM-dd");
                return formatter.format(disDate);
            } catch (Exception e) {
                return null;
            }
        } else {
            return null;
        }
    }

    // 格式化 revoveryTime
    public String getFormattedRevoveryTime() {
        if (revoveryTime != null) {
            try {
                SimpleDateFormat formatter = new SimpleDateFormat("yyyy-MM-dd");
                return formatter.format(revoveryTime);
            } catch (Exception e) {
                return null;
            }
        } else {
            return null;
        }
    }
}
