package com.example.duplicate.controller.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.text.SimpleDateFormat;
import java.time.ZonedDateTime;
import java.time.format.DateTimeFormatter;
import java.util.Date;

/**
 * @ClassName PageBasic
 * @Description 返回实体
 * @Author linjj
 * @Date 2025/6/20 21:46
 * @Version 1.0
 */
@Data
public class PageBasic {

    @ApiModelProperty(value = "病案主键")
    private String patientId;

    @ApiModelProperty(value = "住院次数")
    private Integer admissTimes;

    @ApiModelProperty(value = "出院日期")
    private Date disDate;
    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "性别")
    private String sex;


    @ApiModelProperty(value = "住院医师")
    private String attendingName;


    @ApiModelProperty(value = "床位号")
    private String bedNumber;

    @ApiModelProperty(value = "已签收天数")
    private Integer outNum;
    @ApiModelProperty(value = "回收时间")
    private Date revoveryTime;

    @ApiModelProperty(value = "回收状态")
    private String revoveryState;

    @ApiModelProperty(value = "出院科室")
    private String disDeptName;

    @ApiModelProperty(value = "操作人")
    private String revoveryName;


    // 格式化 disDate
    public String getFormattedDisDate() {
        if (disDate != null) {
            try {
                SimpleDateFormat formatter = new SimpleDateFormat("yyyy-MM-dd");
                return formatter.format(disDate);
            } catch (Exception e) {
                return null;
            }
        } else {
            return null;
        }
    }

    // 格式化 revoveryTime
    public String getFormattedRevoveryTime() {
        if (revoveryTime != null) {
            try {
                SimpleDateFormat formatter = new SimpleDateFormat("yyyy-MM-dd");
                return formatter.format(revoveryTime);
            } catch (Exception e) {
                return null;
            }
        } else {
            return null;
        }
    }


}
